      Subroutine fdshus(stpt, ssbond, shtcod, stsht, finsht, seqlen)    FDSH001
c                                                                       FDSH002
c     find the first unset sheet starting at stpt                       FDSH003
c                                                                       FDSH004
      include 'sstruc.par'                                              FDSH005
      integer   stpt, stsht, finsht, shtcod(maxres), seqlen             FDSH006
      character ssbond(nstruc,maxres)*1                                 FDSH007
                                                                        FDSH008
      integer   nxres                                                   FDSH009
                                                                        FDSH010
      stsht = 0                                                         FDSH011
      nxres = stpt                                                      FDSH012
 1000 continue                                                          FDSH013
      if (ssbond(sheet,nxres) .eq. space .or. shtcod(nxres) .ne. 0) thenFDSH014
         nxres = nxres + 1                                              FDSH015
         if (nxres .gt. seqlen) go to 2000                              FDSH016
         go to 1000                                                     FDSH017
      end if                                                            FDSH018
      stsht = nxres                                                     FDSH019
 1500 continue                                                          FDSH020
      nxres = nxres + 1                                                 FDSH021
      if (nxres .le. seqlen) then                                       FDSH022
         if (ssbond(sheet,nxres) .ne. space) goto 1500                  FDSH023
      end if                                                            FDSH024
      finsht = nxres - 1                                                FDSH025
 2000 continue                                                          FDSH026
      END                                                               FDSH027
